=== modified file 'bzrlib/_readdir_py.py'
--- bzrlib/_readdir_py.py	2008-08-20 03:30:17 +0000
+++ bzrlib/_readdir_py.py	2008-09-02 04:45:47 +0000
@@ -21,10 +21,11 @@
 
 
 def read_dir(path):
-    """Like os.listdir, this reads a directories contents.
+    """Like os.listdir, this reads the contents of a directory.
 
     There is a C module which is recommended which will return
-    a file kind in the second element of the returned tuples.
+    a sort key in the first element of the tuple to allow slightly
+    more efficient behaviour on the operating systems part.
 
     :param path: the directory to list.
     :return: a list of (None, basename) tuples.

=== modified file 'bzrlib/_readdir_pyx.pyx'
--- bzrlib/_readdir_pyx.pyx	2008-09-02 03:03:15 +0000
+++ bzrlib/_readdir_pyx.pyx	2008-09-02 04:45:47 +0000
@@ -69,7 +69,7 @@
     pass
 
 def read_dir(path):
-    """Like os.listdir, this reads a directories contents.
+    """Like os.listdir, this reads the contents of a directory.
 
     :param path: the directory to list.
     :return: a list of (sort_key, basename) tuples.

=== modified file 'bzrlib/readdir.h'
--- bzrlib/readdir.h	2006-06-09 15:34:26 +0000
+++ bzrlib/readdir.h	2008-09-02 04:45:47 +0000
@@ -1,5 +1,5 @@
 /*
- *  Bazaar-NG -- distributed version control
+ *  Bazaar -- distributed version control
  *
  * Copyright (C) 2006 by Canonical Ltd
  *

